## softcatala-spell 0.20111230b

=== debian/changelog ===
softcatala-spell (0.20111230b-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on
      dictionaries-common-dev.

  [ Agustin Martin Domingo ]
  * Use debhelper dh_* sequencer.
  * Add some lintian overrides.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump debhelper-compat to 13.
    - Bump Standards-Version. No changes required.
  * debian/watch: added a fake site to explain about current status of
    package in upstream homepage. Thanks Eriberto Mota.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 05 Oct 2021 22:32:59 +0200

softcatala-spell (0.20111230b-13) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 18:22:30 +0100

softcatala-spell (0.20111230b-12) unstable; urgency=medium

  * Simplify debian/wcatalan.info-wordlist and declare as utf-8
    (Closes: #901324).
  * Use catalan as wordlist name. Fix symlink accordingly.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Jun 2018 17:15:51 +0200

softcatala-spell (0.20111230b-11) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.
  * debian/copyright: Use secure URI for copyright format.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 16:10:59 +0200

softcatala-spell (0.20111230b-10) unstable; urgency=medium

  * Stop building myspell-ca, it is now a transitional package in
    src:hunspell-ca (Closes: #860893).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 21 Apr 2017 16:00:31 +0200

softcatala-spell (0.20111230b-9) unstable; urgency=medium

  * debian/rules: Build in a reproducible and known to work LC_ALL=C
    language environment.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Jun 2015 13:01:29 +0200

softcatala-spell (0.20111230b-8) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #776970).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:54:08 +0200

softcatala-spell (0.20111230b-7) unstable; urgency=low

  * debian/control:
    - Make aspell-ca "Multi-Arch: foreign" (See aspell-en #763892).
    - Update Vcs-Browser to cgit address.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 15:11:19 +0200

softcatala-spell (0.20111230b-6) unstable; urgency=medium

  * 01_WORDCHARS_allow-middledot.diff: New patch to add "middledot" to
    myspell WORDCHARS affix files (Closes: #623367). Was in ispellcat
    and is now re-added since upstream is already using it.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 19 Sep 2014 16:53:42 +0200

softcatala-spell (0.20111230b-5) unstable; urgency=low

  * debian/control:
    - Modify to use dictionaries-common-dev (>= 1.22.0) features
      and recent (>= 1.23.3) debhelper snippets:
      - ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
      - Deal with remove files in debhelper snippet.
      - Better handle dir creation and removal.
    - Bump Standards Version. No changes required.
    - Canonicalize Vcs-Git.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Mar 2014 19:56:56 +0100

softcatala-spell (0.20111230b-4) unstable; urgency=low

  * And back again to softcatala-spell name now that original package with
    this source name has been accepted into unstable.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 28 Jun 2012 19:16:59 +0200

ispellcat (0.20111230b-3) unstable; urgency=low

  * Back to ispellcat source name to reach wheezy in time.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 26 Jun 2012 20:16:36 +0200

softcatala-spell (0.20111230b-2) unstable; urgency=low

  * Add aspell entry for Valencian. Fix aspell-autobuildhash stuff.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jun 2012 20:26:11 +0200

softcatala-spell (0.20111230b-1) unstable; urgency=low

  * New source tarball with fixes in myspell affix and dict files, new
    list of Valencian extra words, README and upstream Changelog and
    Copyright files.
  * Install Valencian myspell and aspell dictionaries.
  * debian/patches: Remove. No longer needed.
  * No longer use some obsolete filters.
  * Minor improvements and cleanups.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 17 Jun 2012 19:48:48 +0200

softcatala-spell (0.20111230-1) unstable; urgency=low

  * New upstream release (20061016 for ispell, 20111230 for myspell).
  * Change source package name to “softcatala-spell”.
  * Fix some utf-8 sed substitutions and add a few extra ones.
  * Rewrite copyright file using machine-readable format 1.0.
  * Drop dependencies on debconf, let ${misc:Depends} take care of that.
  * Mention LibreOffice instead of OpenOffice.org in the package description.
  * Wrap long fields.
  * Remove duplicate Priority fields.
  * Drop ancient conflict on openoffice.org 1.0.3.
  * Bump to debhelper compat v9.
  * Add DEP-3 patch header.

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Jun 2012 16:27:05 +0200

ispellcat (0.6-13) unstable; urgency=low

  * Make a 3.0 (quilt) package.
  * catalan-m.aff_add-explicit-wordchars.patch: New patch
    to add explicit WORDCHARS line  with "·-'"
  * debian/control: Bump Standards-Version. No changes required.
  * debian/rules: Make sure catalan-i.stat is removed in clean target.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 30 May 2012 15:19:54 +0200

ispellcat (0.6-12) unstable; urgency=low

  * Use auto-compat feature to avoid modification of placeholders
    shipped under /var by maintainer scripts. Needs to Build-Depend
    on dictionaries-common-dev (>= 1.11.2).
  * debian/control:

